<template src="./order.htm"></template>

<script>

    export default {

        data() {

            return {

                order: this.orderData
            }
        },

        props: ['orderData'],

        computed: {

            total() {

                let total = 0;

                this.order.order_product_variant.forEach( (el) => {

                    total += el.product_variant.price * el.quantity;
                });

                return total.toFixed(2);
            }
        }
    }

</script>